Release Mode 10.3 / Firmware 7.0 and Later - Johnson Controls - Metasys - LIT-12011147 - Software Application - Controller Configuration Tool - 13.1

Controller Tool Help

Brand
Johnson Controls
Metasys
Product name
Controller Configuration Tool
Document type
User Guide
Document number
LIT-12011147
Version
13.1
Revision date
2019-12-04
Language
English

Keep in mind when upgrading to Release Mode 10.3 / Firmware 7.0 that any application built prior to this release with Calendars, Schedules, Notifications, Trend Logs, and Event Logs will have new date and time range validation rules and should be reviewed to verify functionality.

In Release Mode 10.3 / Firmware 7.0 the following modifications were made:

  • Scheduling Updates

    New validations are run on the Date/Time fields on Calendars, Schedules, Trend Logs, Event Logs, and Notification Recipient Lists during the upgrade. This may change the current date/time settings of the object so it needs to be validated post-upgrade to ensure correct operation. It removes unspecified times and default them to zero values. Any dates that are outside of the range (that is, a month value over 12 or a day value over 31) are changed to show an unspecified date.

  • Updates to Inputs and Outputs to a Block or Module

    A new State output is added to the Occupancy Mode Determination for advanced object configuration support for field controllers.

    Interstage Delay on Rotate is added to the Sequence Primitive which allows you to ignore stages for continuous device testing and configuration.

    Reliability for the Trend Log displays the system's current ability to collect trend data or inform you of communication errors.

    For advanced testing the Set Present Value input has been added to hardware Analog Inputs, Preset allows you to manually set a Totalization value for testing, and the Interstage Delay on Rotate on the Sequence Primitive allows you to ignore stages for continuous device testing and configuration.

  • Upgrading Applications

    Controller models can only be used when there is a firmware release available in the release mode you are upgrading to. To use an application for an incompatible device, you must change your CAF to target a new device. This allows you to keep the logic from an old application and use it with a compatible device. Refer to Upgrading a CAF for more details.